Create or update a note
Creates a note when id is missing (it must be linked to a record), otherwise updates it. Users in mentions are notified when the body contains @Full Name (notified). Empty notes are rejected (empty).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.writeBody application/json
idintegeroptionalNote to update.
kindstringoptionalRecord type (required for new notes).
Values
customeroppticketcontractobj_idintegeroptionalRecord id (required for new notes).
titlestringoptionalTitle.
bodystringoptionalMarkdown body (max 20,000 characters).
mentionsarrayoptionalMentioned user ids (
/me → team).Errors
| HTTP | error | Meaning |
|---|---|---|
400 | invalid | Missing or invalid field (`message` explains). |
403 | forbidden | You may not see / edit this record. |
404 | not_found | Record not found. |
Request
curl -X POST https://ornek.solk.app/api/v1/notes \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/notes", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.post(
"https://ornek.solk.app/api/v1/notes",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response